dlcm.host=%IP_ADDRESS%
dlcm.module.admin.url=http://${dlcm.host}:16135/dlcm/admin
dlcm.module.preingest.url=http://${dlcm.host}:16135/dlcm/preingest
dlcm.module.ingest.url=http://${dlcm.host}:16135/dlcm/ingest
dlcm.module.archival-storage.urls=http://${dlcm.host}:16135/dlcm/archival-storage
dlcm.module.access.url=http://${dlcm.host}:16135/dlcm/access

# Spring
spring.application.name=DLCM-Client
spring.profiles.active=client-sudo
spring.cloud.config.enabled=false
spring.cloud.bootstrap.enabled=false

# Solidify user tokens
solidify.oauth2.accesstoken.admin=${solidify.oauth2.accesstoken.root}
solidify.oauth2.accesstoken.user=${solidify.oauth2.accesstoken.root}
solidify.oauth2.accesstoken.thirdPartyUser=${solidify.oauth2.accesstoken.root}

#Client should not instantiate JDBC / Hibernate / JPA layer 
spring.autoconfigure.exclude[0]=org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration
spring.autoconfigure.exclude[1]=org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration
spring.autoconfigure.exclude[2]=org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration
spring.autoconfigure.exclude[3]=org.springframework.boot.autoconfigure.data.web.SpringDataWebAutoConfiguration
